/**
 * @desc 测试失败
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {}

export const init = new defs.ResultString()

export function request(params?: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/example/fail',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
